Bug 595898 - complete system freeze when pressing fn+display key
complete system freeze when pressing fn+display key
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 17:14 EDT by Christoph A.
Modified: 2018-04-11 09:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
retrived dmesg.old file after rebooting the notebook from crash (by pressing the power button) (63.72 KB, text/plain)
2010-05-30 18:35 EDT, Christoph A.
no flags Details
relevant line of the system log (messages) (399 bytes, application/octet-stream)
2010-05-30 18:38 EDT, Christoph A.
no flags Details

  None (edit)
Description Christoph A. 2010-05-25 17:14:05 EDT
Description of problem:
The system freezes (monitor gets black and no ssh access possible)
when pressing FN+display key on a Lenovo T410s


Version-Release number of selected component (if applicable):
xorg-x11-drv-void-1.3.0-5.fc13.x86_64
xorg-x11-drv-mga-1.4.11-2.fc13.x86_64
xorg-x11-drv-apm-1.2.2-1.fc12.x86_64
xorg-x11-drv-penmount-1.4.0-6.fc13.x86_64
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
xorg-x11-drv-keyboard-1.4.0-4.fc13.x86_64
xorg-x11-drv-trident-1.3.3-2.fc13.x86_64
xorg-x11-drv-v4l-0.2.0-4.fc13.1.x86_64
xorg-x11-drv-mouse-1.5.0-4.fc13.x86_64
xorg-x11-drivers-7.3-14.fc13.x86_64
xorg-x11-xinit-1.0.9-16.fc13.x86_64
xorg-x11-drv-vesa-2.3.0-1.fc13.x86_64
xorg-x11-drv-voodoo-1.2.3-2.fc13.x86_64
xorg-x11-drv-cirrus-1.3.2-2.fc13.x86_64
xorg-x11-drv-siliconmotion-1.7.3-3.20100122.fc13.x86_64
xorg-x11-drv-nv-2.1.15-5.fc13.x86_64
xorg-x11-drv-mutouch-1.2.1-6.fc13.x86_64
xorg-x11-drv-elographics-1.2.3-6.fc13.x86_64
xorg-x11-drv-vmware-10.16.7-3.fc13.x86_64
xorg-x11-drv-i128-1.3.3-2.fc13.x86_64
xorg-x11-drv-wacom-0.10.6-1.fc13.x86_64
xorg-x11-drv-savage-2.3.1-2.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.x86_64
xorg-x11-font-utils-7.2-11.fc13.x86_64
xorg-x11-server-utils-7.4-16.fc13.x86_64
xorg-x11-xkb-utils-7.4-7.fc13.x86_64
xorg-x11-xauth-1.0.2-7.fc12.x86_64
xorg-x11-server-common-1.8.0-12.fc13.x86_64
xorg-x11-drv-evdev-2.4.0-2.fc13.x86_64
xorg-x11-drv-synaptics-1.2.2-3.fc13.x86_64
xorg-x11-drv-acecad-1.4.0-3.fc13.x86_64
xorg-x11-drv-aiptek-1.3.0-3.fc13.x86_64
xorg-x11-drv-dummy-0.3.3-2.fc13.x86_64
xorg-x11-drv-glint-1.2.4-2.fc13.x86_64
xorg-x11-drv-hyperpen-1.3.0-4.fc13.x86_64
xorg-x11-drv-rendition-4.2.2-5.fc13.x86_64
xorg-x11-drv-ast-0.89.9-1.fc12.x86_64
xorg-x11-drv-i740-1.3.2-2.fc13.x86_64
xorg-x11-drv-openchrome-0.2.904-2.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64
xorg-x11-drv-r128-6.8.1-3.fc13.x86_64
xorg-x11-drv-sis-0.10.2-2.fc13.x86_64
xorg-x11-drv-s3virge-1.10.4-2.fc13.x86_64
xorg-x11-drv-vmmouse-12.6.9-2.fc13.x86_64
xorg-x11-drv-mach64-6.8.2-2.fc13.x86_64
xorg-x11-utils-7.4-9.fc13.x86_64
xorg-x11-drv-tdfx-1.4.3-2.fc13.x86_64
xorg-x11-drv-sisusb-0.9.3-2.fc13.x86_64
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64
xorg-x11-drv-fbdev-0.4.1-3.fc13.x86_64
xorg-x11-drv-fpit-1.3.0-10.fc13.x86_64



How reproducible:
allways


Steps to Reproduce:
1. install fedora 13 64bit
2. boot Lenovo T410s with external monitor attached
3. login
4. press fn+display key
  
Actual results:
system freezes -> power button to reset


Expected results:
switch display to external monitor only


Additional info:
This is the output of 'tail -f Xorg.0.log'  when pressing fn+display (connected via ssh)

[  1274.778] (II) intel(0): EDID for output LVDS1
[  1274.780] (II) intel(0): Manufacturer: LEN  Model: 4036  Serial#: 0
[  1274.780] (II) intel(0): Year: 2008  Week: 0
[  1274.780] (II) intel(0): EDID Version: 1.3
[  1274.780] (II) intel(0): Digital Display Input
[  1274.780] (II) intel(0): Max Image Size [cm]: horiz.: 30  vert.: 19
[  1274.780] (II) intel(0): Gamma: 2.20
[  1274.780] (II) intel(0): DPMS capabilities: StandBy Suspend Off
[  1274.780] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[  1274.780] (II) intel(0): First detailed timing is preferred mode
[  1274.780] (II) intel(0): redX: 0.577 redY: 0.338   greenX: 0.310 greenY: 0.563
[  1274.780] (II) intel(0): blueX: 0.158 blueY: 0.157   whiteX: 0.313 whiteY: 0.329
[  1274.780] (II) intel(0): Manufacturer's mask: 0
[  1274.780] (II) intel(0): Supported detailed timing:
[  1274.780] (II) intel(0): clock: 106.9 MHz   Image Size:  303 x 190 mm
[  1274.780] (II) intel(0): h_active: 1440  h_sync: 1488  h_sync_end 1520 h_blank_end 1924 h_border: 0
[  1274.780] (II) intel(0): v_active: 900  v_sync: 903  v_sync_end 909 v_blanking: 926 v_border: 0
[  1274.780] (II) intel(0): Supported detailed timing:
[  1274.780] (II) intel(0): clock: 89.3 MHz   Image Size:  303 x 190 mm
[  1274.780] (II) intel(0): h_active: 1440  h_sync: 1488  h_sync_end 1520 h_blank_end 1740 h_border: 0
[  1274.780] (II) intel(0): v_active: 900  v_sync: 903  v_sync_end 909 v_blanking: 1026 v_border: 0
[  1274.780] (II) intel(0): Unknown vendor-specific block f
[  1274.780] (II) intel(0):  LTN141BT08001
[  1274.780] (II) intel(0): EDID (in hex):
[  1274.780] (II) intel(0): 	00ffffffffffff0030ae364000000000
[  1274.780] (II) intel(0): 	00120103801e1378eae59593564f9028
[  1274.780] (II) intel(0): 	28505400000001010101010101010101
[  1274.780] (II) intel(0): 	010101010101c129a0e451841a303020
[  1274.780] (II) intel(0): 	36002fbe10000019de22a02c51847e30
[  1274.780] (II) intel(0): 	302036002fbe100000190000000f0095
[  1274.780] (II) intel(0): 	0a32950a281e09004ca34254000000fe
[  1274.780] (II) intel(0): 	004c544e3134314254303830303100cb
[  1274.780] (II) intel(0): EDID vendor "LEN", prod id 16438
[  1274.780] (II) intel(0): Printing DDC gathered Modelines:
[  1274.780] (II) intel(0): Modeline "1440x900"x0.0  106.89  1440 1488 1520 1924  900 903 909 926 -hsync -vsync (55.6 kHz)
[  1274.780] (II) intel(0): Modeline "1440x900"x0.0   89.26  1440 1488 1520 1740  900 903 909 1026 -hsync -vsync (51.3 kHz)
[  1274.780] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
[  1274.780] (II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
[  1274.780] (II) intel(0): Printing probed modes for output LVDS1
[  1274.780] (II) intel(0): Modeline "1440x900"x60.0  106.89  1440 1488 1520 1924  900 903 909 926 -hsync -vsync (55.6 kHz)
[  1274.780] (II) intel(0): Modeline "1440x900"x50.0   89.26  1440 1488 1520 1740  900 903 909 1026 -hsync -vsync (51.3 kHz)
[  1274.780] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  1274.780] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  1274.781] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
[  1274.781] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  1274.894] (II) intel(0): EDID for output VGA1
[  1274.894] (II) intel(0): Manufacturer: BNQ  Model: 7820  Serial#: 21573
[  1274.894] (II) intel(0): Year: 2009  Week: 8
[  1274.894] (II) intel(0): EDID Version: 1.3
[  1274.894] (II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
[  1274.894] (II) intel(0): Sync:  Separate  Composite  SyncOnGreen
[  1274.894] (II) intel(0): Max Image Size [cm]: horiz.: 48  vert.: 27
[  1274.894] (II) intel(0): Gamma: 2.20
[  1274.894] (II) intel(0): DPMS capabilities: Off; RGB/Color Display
[  1274.894] (II) intel(0): Default color space is primary color space
[  1274.894] (II) intel(0): First detailed timing is preferred mode
[  1274.894] (II) intel(0): redX: 0.648 redY: 0.339   greenX: 0.282 greenY: 0.603
[  1274.894] (II) intel(0): blueX: 0.143 blueY: 0.070   whiteX: 0.312 whiteY: 0.329
[  1274.894] (II) intel(0): Supported established timings:
[  1274.894] (II) intel(0): 720x400@70Hz
[  1274.894] (II) intel(0): 640x480@60Hz
[  1274.894] (II) intel(0): 640x480@75Hz
[  1274.894] (II) intel(0): 800x600@60Hz
[  1274.894] (II) intel(0): 800x600@75Hz
[  1274.894] (II) intel(0): 832x624@75Hz
[  1274.894] (II) intel(0): 1024x768@60Hz
[  1274.894] (II) intel(0): 1024x768@75Hz
[  1274.894] (II) intel(0): 1280x1024@75Hz
[  1274.894] (II) intel(0): 1152x864@75Hz
[  1274.894] (II) intel(0): Manufacturer's mask: 0
[  1274.895] (II) intel(0): Supported standard timings:
[  1274.895] (II) intel(0): #0: hsize: 1152  vsize 720  refresh: 60  vid: 113
[  1274.895] (II) intel(0): #1: hsize: 1280  vsize 720  refresh: 60  vid: 49281
[  1274.895] (II) intel(0): #2: hsize: 1280  vsize 960  refresh: 60  vid: 16513
[  1274.895] (II) intel(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[  1274.895] (II) intel(0): #4: hsize: 1600  vsize 900  refresh: 60  vid: 49321
[  1274.895] (II) intel(0): #5: hsize: 1680  vsize 1050  refresh: 60  vid: 179
[  1274.895] (II) intel(0): #6: hsize: 1920  vsize 1080  refresh: 60  vid: 49361
[  1274.895] (II) intel(0): Supported detailed timing:
[  1274.895] (II) intel(0): clock: 148.5 MHz   Image Size:  477 x 268 mm
[  1274.895] (II) intel(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_blank_end 2200 h_border: 0
[  1274.895] (II) intel(0): v_active: 1080  v_sync: 1084  v_sync_end 1089 v_blanking: 1125 v_border: 0
[  1274.895] (II) intel(0): Serial No: N2903718SL0
[  1274.895] (II) intel(0): Ranges: V min: 50 V max: 76 Hz, H min: 24 H max: 83 kHz, PixClock max 170 MHz
[  1274.895] (II) intel(0): Monitor name: BenQ G2220HD
[  1274.895] (II) intel(0): EDID (in hex):
[  1274.896] (II) intel(0): 	00ffffffffffff0009d1207845540000
[  1274.896] (II) intel(0): 	081301030e301b782e3581a656489a24
[  1274.896] (II) intel(0): 	125054a56b80710081c081408180a9c0
[  1274.896] (II) intel(0): 	b300d1c00101023a801871382d40582c
[  1274.896] (II) intel(0): 	4500dd0c1100001e000000ff004e3239
[  1274.896] (II) intel(0): 	3033373138534c300a0a000000fd0032
[  1274.896] (II) intel(0): 	4c185311000a202020202020000000fc
[  1274.896] (II) intel(0): 	0042656e5120473232323048440a006d
[  1274.896] (II) intel(0): Printing probed modes for output VGA1
[  1274.896] (II) intel(0): Modeline "1920x1080"x60.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz)
[  1274.896] (II) intel(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
[  1274.896] (II) intel(0): Modeline "1600x900"x60.0  118.96  1600 1696 1864 2128  900 901 904 932 -hsync +vsync (55.9 kHz)
[  1274.896] (II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[  1274.896] (II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[  1274.896] (II) intel(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz)
[  1274.896] (II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  1274.896] (II) intel(0): Modeline "1280x720"x60.0   74.44  1280 1336 1472 1664  720 721 724 746 -hsync +vsync (44.7 kHz)
[  1274.896] (II) intel(0): Modeline "1152x720"x60.0   67.28  1152 1208 1328 1504  720 721 724 746 -hsync +vsync (44.7 kHz)
[  1274.896] (II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
[  1274.896] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  1274.896] (II) intel(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)
[  1274.896] (II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[  1274.896] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  1274.896] (II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[  1274.896] (II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  1274.896] (II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[  1274.961] (II) intel(0): EDID for output HDMI1
[  1274.966] (II) intel(0): EDID for output DP1
[  1274.975] (II) intel(0): EDID for output HDMI2
[  1274.985] (II) intel(0): EDID for output HDMI3
[  1274.990] (II) intel(0): EDID for output DP2
[  1274.995] (II) intel(0): EDID for output DP3
[  1275.337] (II) intel(0): Allocate new frame buffer 1024x768 stride 1024
Comment 1 Matěj Cepl 2010-05-30 17:22:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Christoph A. 2010-05-30 18:31:04 EDT
Hi,

thank you for your reply.

I booted with drm.debug=0x04. 

I will attach lines of 'messages' and dmesg.old, xorg.conf is not present.

kind regards,
Christoph
Comment 3 Christoph A. 2010-05-30 18:35:22 EDT
Created attachment 418116 [details]
retrived dmesg.old file after rebooting the notebook from crash (by pressing the power button)
Comment 4 Christoph A. 2010-05-30 18:38:58 EDT
Created attachment 418117 [details]
relevant line of the system log (messages)

The first line was written with 'logger' to mark the time before fn+display was pressed. The last line is the first line of the bootup after the crash.
Comment 5 Bug Zapper 2011-06-02 09:31:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 12:39:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.